%   ODPOCET    odpocet(vse,count)
%   Funkce slouží pro zobrazení času do konce běhu programu.
%   Na zacatku programu musi byt prikaz tic.
%
%   vse     -   Počet všech kroků
%   count   -   Počet provedených kroků


function odpocet(vse,count)

    disp(['Hotovo: ' '' num2str(count/vse*100) '' ' [%]'])

    konec = toc /(count/vse) - toc;
    if konec/60 < 1
        disp(['Do konce: ' '' num2str(round(konec)) '' ' s'])
    elseif konec/3600 < 1
        min = floor(konec/60);
        sec = round(konec - min*60);
        disp(['Do konce: ' '' num2str(min) '' ' min ' '' num2str(sec) '' ' sec'])
    else
        hod = floor(konec/3600);
        min = floor((konec - hod*3600)/60);
        sec = round(konec - hod*3600 - min*60);
        
        disp(['Do konce: ' '' num2str(hod) '' ' hod ' '' num2str(min) '' ' min ' '' num2str(sec) '' ' sec'])
    end

end